import { types } from "../actions/actionTypes";

const initialState = {
  recommandedKeywordData: {},
  faqData: {},
  contactData: {},
  noticeData: {},
};

export const myPageReducer = (state = initialState, action) => {
  switch (action.type) {
    case types.GET_MY_RECOMMANDED_KEYWORD:
      return {
        ...state,
        recommandedKeywordData: action.payload,
      };
    case types.GET_MY_FAQ_INFO:
      return {
        ...state,
        faqData: action.payload,
      };

    default:
      return state;
  }
};
